from typing import override

from flut._flut.engine import FlutImmutableObject


class _InputBorder(FlutImmutableObject):
    def __init__(self):
        super().__init__("InputBorder")


class _InputBorderNone(_InputBorder):
    @override
    def _flut_pack(self) -> dict:
        result = self._flut_base_props()
        result["value"] = "none"
        return result


class InputBorder(_InputBorder):
    none = _InputBorderNone()

